> ## Documentation Index
> Fetch the complete documentation index at: https://bundleup.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get ticket

> Retrieve a single support ticket by ID for Zendesk, ServiceNow, Zoho Desk, Gorgias and Help Scout



## OpenAPI

````yaml https://unify.bundleup.io/openapi.json get /v1/helpdesk/tickets/{id}
openapi: 3.1.0
info:
  title: BundleUp Unified API
  version: 1.0.0
  description: API for interacting with BundleUp Unified services
servers:
  - url: https://unify.bundleup.io
    description: Production server
security:
  - bearerAuth: []
tags:
  - name: Identity
    description: Identity related endpoints
  - name: Chat
    description: Chat related endpoints
  - name: Git
    description: Git related endpoints
  - name: Tasks
    description: Issue tracker and project management endpoints
  - name: Helpdesk
    description: Customer support ticket endpoints
  - name: CRM
    description: CRM related endpoints
  - name: Drive
    description: Drive related endpoints
  - name: Calendar
    description: Calendar related endpoints
paths:
  /v1/helpdesk/tickets/{id}:
    get:
      tags:
        - Helpdesk
      summary: Get ticket
      description: >-
        Retrieve a single support ticket by ID for Zendesk, ServiceNow, Zoho
        Desk, Gorgias and Help Scout
      operationId: get__tickets_{id}
      parameters:
        - schema:
            type: string
            description: Ticket ID
          required: true
          name: id
          in: path
        - schema:
            type:
              - string
              - 'null'
            enum:
              - 'true'
              - 'false'
            default: 'false'
            description: Whether to include raw response from the provider
          required: false
          name: include_raw
          in: query
        - schema:
            type: string
            description: Optional passthrough parameter
            example: '{"team_id":"12345"}'
          required: false
          name: params
          in: query
        - schema:
            type: string
            description: API Key for authentication
          required: true
          name: Authorization
          in: header
        - schema:
            type: string
            description: Connection ID for the integration
          required: true
          name: BU-Connection-ID
          in: header
        - schema:
            type:
              - string
              - 'null'
            default: '3'
            description: Maximum number of retries for the request
          required: false
          name: BU-Max-Retries
          in: header
      responses:
        '200':
          description: Successful Response For ticket
          content:
            application/json:
              schema:
                type: object
                properties:
                  response:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          id:
                            type: string
                            description: ID
                          title:
                            type:
                              - string
                              - 'null'
                            description: Subject
                          description:
                            type:
                              - string
                              - 'null'
                            description: >-
                              Description, or a preview of the first message
                              where the provider only returns one
                          status:
                            type:
                              - string
                              - 'null'
                            description: Status, as the provider names it
                          priority:
                            type:
                              - string
                              - 'null'
                            description: Priority, as the provider names it
                          requester:
                            type:
                              - object
                              - 'null'
                            properties:
                              id:
                                type:
                                  - string
                                  - 'null'
                                description: Requester ID
                              name:
                                type:
                                  - string
                                  - 'null'
                                description: Requester name
                              email:
                                type:
                                  - string
                                  - 'null'
                                description: Requester email
                            required:
                              - id
                              - name
                              - email
                            description: The customer who opened the ticket
                          url:
                            type:
                              - string
                              - 'null'
                            description: Link to the ticket in the provider
                          created_at:
                            type:
                              - string
                              - 'null'
                            description: Creation date
                          updated_at:
                            type:
                              - string
                              - 'null'
                            description: Last update date
                        required:
                          - id
                          - title
                          - description
                          - status
                          - priority
                          - requester
                          - url
                          - created_at
                          - updated_at
                    required:
                      - data
                required:
                  - response
        '400':
          description: Input Validation Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: number
                          example: 7001
                        message:
                          type: string
                          example: Input Validation Error
                        path:
                          type: array
                          items:
                            type: string
                            example: body
                      required:
                        - code
                        - message
                        - path
                required:
                  - success
                  - errors
        '401':
          description: Not Authorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: number
                          example: 1000
                        message:
                          type: string
                          example: Not Authorized
                      required:
                        - code
                        - message
                required:
                  - success
                  - errors
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: number
                          example: 7002
                        message:
                          type: string
                          example: Not Found
                      required:
                        - code
                        - message
                required:
                  - success
                  - errors
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.